package com.ekexiu.portal.po;

import java.util.List;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.defaultImpl.StringHandler;
import org.jfw.apt.orm.core.enums.DE;

import com.ekexiu.portal.basepo.CreateTimeSupported;
import com.ekexiu.portal.basepo.ModifyTimeSupported;

@PrimaryKey("resourceId")
@Table
public class Resource implements CreateTimeSupported, ModifyTimeSupported{
	private String resourceId;
	private String resourceName;
	private String subject;
	private String industry;
	/**
	 * 资源提供的服务
	 */
	private String supportedServices;
	private String descp;
	private String professorId;
	private Professor professor;
	private List<Image> images;
	/**
	 * 资源所属（个人/机构）
	 */
	private String ascription;
	private String createTime;
	private String modifyTime;
	private String hopePayMethod;
	/**
	 * 合作备注
	 */
	private String cooperationNotes;
	
	public List<Image> getImages() {
		return images;
	}
	public void setImages(List<Image> images) {
		this.images = images;
	}
	
	public Professor getProfessor() {
		return professor;
	}
	public void setProfessor(Professor professor) {
		this.professor = professor;
	}
	
	@Column(DE.id_32)
	public String getResourceId() {
		return resourceId;
	}
	public void setResourceId(String resourceId) {
		this.resourceId = resourceId;
	}
	
	@Column(DE.dictCaption)
	public String getResourceName() {
		return resourceName;
	}
	public void setResourceName(String resourceName) {
		this.resourceName = resourceName;
	}
	
	@Column(handlerClass=StringHandler.class,dbType="TEXT",insertable=true,nullable=true,renewable=true,queryable=true)
	public String getSubject() {
		return subject;
	}
	public void setSubject(String subject) {
		this.subject = subject;
	}
	
	@Column(handlerClass=StringHandler.class,dbType="TEXT",insertable=true,nullable=true,renewable=true,queryable=true)
	public String getIndustry() {
		return industry;
	}
	public void setIndustry(String industry) {
		this.industry = industry;
	}
	
	@Column(DE.string_de)
	public String getSupportedServices() {
		return supportedServices;
	}
	public void setSupportedServices(String supportedServices) {
		this.supportedServices = supportedServices;
	}
	
	@Column(handlerClass=StringHandler.class,dbType="TEXT",insertable=true,nullable=true,renewable=true,queryable=true)
	public String getDescp() {
		return descp;
	}
	public void setDescp(String descp) {
		this.descp = descp;
	}
	
	@Column(DE.id_32)
	public String getProfessorId() {
		return professorId;
	}
	public void setProfessorId(String professorId) {
		this.professorId = professorId;
	}
	
	@Column(DE.String_de)
	public String getAscription() {
		return ascription;
	}
	public void setAscription(String ascription) {
		this.ascription = ascription;
	}
	
	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	
	public String getModifyTime() {
		return modifyTime;
	}
	public void setModifyTime(String modifyTime) {
		this.modifyTime = modifyTime;
	}
	
	@Column(DE.String_de)
	public String getHopePayMethod() {
		return hopePayMethod;
	}
	public void setHopePayMethod(String hopePayMethod) {
		this.hopePayMethod = hopePayMethod;
	}
	
	@Column(handlerClass=StringHandler.class,dbType="TEXT",insertable=true,nullable=true,renewable=true,queryable=true)
	public String getCooperationNotes() {
		return cooperationNotes;
	}
	public void setCooperationNotes(String cooperationNotes) {
		this.cooperationNotes = cooperationNotes;
	}
}
